<html>
<head>
	<title>Artikelen bekijken</title>
</head>
<body>
<?php
$db = mysql_connect("localhost", "leerphp", "bla!vux6")
        or die("Kan niet verbinden: " . mysql_error());
mysql_select_db("leerphp", $db);
$sitepad = "/uploadimages/";
$sql = "SELECT * FROM Artikel";
$resultaat  = mysql_query($sql); // voer SQL code uit
if (mysql_num_rows($resultaat) > 0) {
echo "<table border=1>";
echo "<tr><td><b>Naam</b></td><td><b>Omschrijving</b></td><td><b>Prijs in &euro;</b></td><td>Afbeeldingen</td></tr>"; // bovenste regel
while ($rij = mysql_fetch_array($resultaat)) {
echo "<tr>";
echo "<td>".$rij["Naam"]."</td>";
echo "<td>".$rij["Omschrijving"]."</td>";
echo "<td>".$rij["Prijs"]."</td>";
echo "<td>";
$sql = "SELECT * FROM Afbeelding WHERE ARTIKEL_ID=".$rij["ARTIKEL_ID"];
	$afbeeldingen = mysql_query($sql);
	if (mysql_num_rows($afbeeldingen) > 0) {
		while ($afb_rij = mysql_fetch_array($afbeeldingen)) {
				$bestandsnaam = $sitepad.$afb_rij["AFBEELDING_ID"].$afb_rij["Bestandstype"];
				echo "<img src=\"$bestandsnaam\">&nbsp;";
			}
	} else {
	echo "Geen afbeeldingen voor dit artikel";
	}
echo "</td></tr>";

}
echo "</table>";
}
mysql_close($db);
?>
</body>
</html>
